Bug 176986 - Review Request: gstreamer010
Review Request: gstreamer010
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-04 20:41 EST by W. Michael Petullo
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-04 20:57:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2006-01-04 20:41:35 EST
Spec Name or Url: http://flyn.org/SRPMS/gstreamer010.spec
SRPM Name or Url: http://flyn.org/SRPMS/gstreamer010-0.10.1-1.src.rpm
Description: GStreamer is a streaming media framework, based on graphs of filters which operate on media data. Applications using this library can do anything from real-time sound processing to playing videos, and just about anything else media-related.  Its plugin-based architecture means that new data types or processing capabilities can be added simply by installing new plugins.
Comment 1 John (J5) Palmieri 2006-01-04 20:57:05 EST
This has made it into core already and will be built into rawhide tomorrow
pending some issues with the 08 packages. 
Comment 2 Alex Lancaster 2006-01-05 03:58:06 EST
(In reply to comment #1)
> This has made it into core already and will be built into rawhide tomorrow
> pending some issues with the 08 packages. 

All well and good, but it would still be useful to have the package in Fedora
Core 4.
Comment 3 Michael A. Peters 2006-01-05 06:12:12 EST
(In reply to comment #2)

> 
> All well and good, but it would still be useful to have the package in Fedora
> Core 4.

Yes it would.
I agree
DVD playback in totem does not work in FC4, for example - a gstreamer bug that
is (supposedly) fixed in later gstreamer releases.

Can this be re-opened for FC-4?

I think it would need to be cooperating with the FC-5 developer to make sure
that there isn't an FC-5 upgrade path problem (the fc5 gstreamer should
obsolete/provide this one)
Comment 4 W. Michael Petullo 2006-01-05 09:37:52 EST
The dvdnav and dvdread plugins have not yet been ported to gstreamer010.  So 
even if gstreamer010 was released for Fedora Core 4, the library would not 
provide a DVD capability.  Also, the CVS version of totem is required if one 
is to use gstreamer010.

I'm not trying to obstruct things, I just want to make sure people have 
realistic expectations.  At this point, gstreamer010 is clearly not Fedora 
Core 4 material.

The gstreamer010 platform looks great but it will be some time before the 
applications and plugins are ported to it.
Comment 5 W. Michael Petullo 2006-01-05 09:42:42 EST
Just to clarify comment #4: the gstreamer010 dvdnav and dvdread plugins can't 
be shipped as a part of Fedora proper (in addition to not existing yet.)

See http://fedoraproject.org/wiki/FAQ/#head-
b04c931c017de3facba9c69207925234df3c2232.

Note You need to log in before you can comment on or make changes to this bug.